MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027266Open CASCADE[OCCT] OCCT:Codingpublic2016-03-15 21:022016-04-20 15:49
Reporterkgv 
Assigned Toabv 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0027266: Coding, TKOpenGl - drop unused files OpenGl_telem_util.hxx and OpenGl_tgl_funcs.hxx
DescriptionThe files OpenGl_telem_util.hxx and OpenGl_tgl_funcs.hxx are not used within TKOpenGl and can be safely removed.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0051677)
git (administrator)
2016-03-15 21:05

Branch CR27266 has been created by kgv.

SHA-1: d120954493b3e1aa2362e72b3afd1c7b8c8fede8


Detailed log of new commits:

Author: kgv
Date: Tue Mar 15 21:02:32 2016 +0300

    0027266: Coding, TKOpenGl - drop unused files OpenGl_telem_util.hxx and OpenGl_tgl_funcs.hxx
(0051678)
kgv (developer)
2016-03-15 21:05

Please check compilation, testing is not needed.
(0051703)
mkv (tester)
2016-03-16 14:42

Dear BugMaster,
Branch CR27266 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms on Release mode.
SHA-1: d120954493b3e1aa2362e72b3afd1c7b8c8fede8

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 41 (41 on master)
Windows: 0 (0 on master)
(0051704)
mkv (tester)
2016-03-16 14:43

Dear BugMaster,
Branch CR27266 is TESTED.
(0052826)
git (administrator)
2016-04-17 13:07

Branch CR27266 has been deleted by kgv.

SHA-1: d120954493b3e1aa2362e72b3afd1c7b8c8fede8

- Related Changesets
occt: master 185a35a7
Timestamp: 2016-03-15 18:02:32
Author: abv
Committer: abv
Details ] Diff ]
0027266: Coding, TKOpenGl - drop unused files OpenGl_telem_util.hxx and OpenGl_tgl_funcs.hxx
mod - src/OpenGl/FILES Diff ] File ]
mod - src/OpenGl/OpenGl_Structure.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_telem_util.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_telem_util.hxx Diff ] File ]
rm - src/OpenGl/OpenGl_tgl_funcs.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_View_Print.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_View_Redraw.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-03-15 21:02 kgv New Issue
2016-03-15 21:02 kgv Assigned To => kgv
2016-03-15 21:05 git Note Added: 0051677
2016-03-15 21:05 kgv Note Added: 0051678
2016-03-15 21:05 kgv Assigned To kgv => bugmaster
2016-03-15 21:05 kgv Status new => resolved
2016-03-15 21:05 kgv Status resolved => reviewed
2016-03-16 11:36 mkv Assigned To bugmaster => mkv
2016-03-16 14:42 mkv Note Added: 0051703
2016-03-16 14:43 mkv Note Added: 0051704
2016-03-16 14:43 mkv Assigned To mkv => bugmaster
2016-03-16 14:43 mkv Status reviewed => tested
2016-03-16 14:43 mkv Test case number => Not needed
2016-03-21 14:58 abv Changeset attached => occt master 185a35a7
2016-03-21 14:58 abv Assigned To bugmaster => abv
2016-03-21 14:58 abv Status tested => verified
2016-03-21 14:58 abv Resolution open => fixed
2016-04-17 13:07 git Note Added: 0052826
2016-04-20 15:43 aiv Fixed in Version => 7.0.0
2016-04-20 15:49 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker